<?php
declare(strict_types=1);

namespace App\Core\Events;

abstract class Event
{
    abstract public static function eventName(): string;

    abstract public function toArray(): array;

    abstract public static function from(array $data): static;
}
